Package org.iirds.dita.ot.plugin.model

# Class SubjectDef

java.lang.Object
org.iirds.dita.ot.plugin.model.SubjectDef

public class SubjectDef extends Object
DITA subjectdef for metadata extraction

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `appid`
  `protected String`
  `appname`
  `protected String`
  `ditaClass`
  `protected Set<String>`
  `keys`
  `protected String`
  `label`
  `protected Map<RelationType,SubjectDef>`
  `relations`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubjectDef()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRelatedSubjectDef(RelationType relation, SubjectDef subject)`
  `String`
  `getAppid()`
  `String`
  `getAppname()`
  `String`
  `getDitaClass()`
  `Set<String>`
  `getKeys()`
  `String`
  `getLabel()`
  `SubjectDef`
  `getRelatedSubjectDef(RelationType relation)`
  `Map<RelationType,SubjectDef>`
  `getRelations()`
  `void`
  `setAppid(String appid)`
  `void`
  `setAppname(String appname)`
  `void`
  `setDitaClass(String ditaClass)`
  `void`
  `setKeys(String... keys)`
  `void`
  `setLabel(String label)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### label

    protected String label

  - ### ditaClass

    protected String ditaClass

  - ### keys

    protected Set<String> keys

  - ### appname

    protected String appname

  - ### appid

    protected String appid

  - ### relations

    protected Map<RelationType,SubjectDef> relations

- ## Constructor Details

  - ### SubjectDef

    public SubjectDef()

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDitaClass

    public String getDitaClass()

  - ### getAppname

    public String getAppname()

  - ### setAppname

    public void setAppname(String appname)

  - ### getAppid

    public String getAppid()

  - ### setAppid

    public void setAppid(String appid)

  - ### setDitaClass

    public void setDitaClass(String ditaClass)

  - ### getLabel

    public String getLabel()

  - ### setLabel

    public void setLabel(String label)

  - ### setKeys

    public void setKeys(String... keys)

  - ### getRelations

    public Map<RelationType,SubjectDef> getRelations()

  - ### addRelatedSubjectDef

    public void addRelatedSubjectDef(RelationType relation, SubjectDef subject)

  - ### getRelatedSubjectDef

    public SubjectDef getRelatedSubjectDef(RelationType relation)

  - ### getKeys

    public Set<String> getKeys()